<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="fr">
<head>
<!-- Generated by javadoc (1.8.0_202) on Mon Jun 03 13:13:18 CEST 2019 -->
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>Map (Master POM 0.0.1-SNAPSHOT API)</title>
<meta name="date" content="2019-06-03">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Map (Master POM 0.0.1-SNAPSHOT API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10,"i11":10,"i12":10,"i13":10,"i14":10,"i15":10,"i16":10,"i17":10,"i18":10,"i19":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/Map.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li><a href="../index-all.html">Index</a></li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../model/IMap.html" title="interface in model"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../model/Model.html" title="class in model"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?model/Map.html" target="_top">Frames</a></li>
<li><a href="Map.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">model</div>
<h2 title="Class Map" class="title">Class Map</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li><a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">java.lang.Object</a></li>
<li>
<ul class="inheritance">
<li>model.Map</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd><a href="../model/IMap.html" title="interface in model">IMap</a></dd>
</dl>
<hr>
<br>
<pre>public class <span class="typeNameLabel">Map</span>
extends <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>
implements <a href="../model/IMap.html" title="interface in model">IMap</a></pre>
<div class="block">The Class Map.</div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Field Summary table, listing fields, and an explanation">
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../model/Map.html#exitX">exitX</a></span></code>
<div class="block">The exit X.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../model/Map.html#exitY">exitY</a></span></code>
<div class="block">The exit Y.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../model/Map.html#height">height</a></span></code>
<div class="block">The height.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../model/Map.html#lose">lose</a></span></code>
<div class="block">The lose.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private <a href="../model/Element/Element.html" title="class in model.Element">Element</a>[][]</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../model/Map.html#onTheMap">onTheMap</a></span></code>
<div class="block">The on the map.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../model/Map.html#score">score</a></span></code>
<div class="block">The score.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../model/Map.html#scoreNeeded">scoreNeeded</a></span></code>
<div class="block">The score needed.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../model/Map.html#tableID">tableID</a></span></code>
<div class="block">The table ID.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../model/Map.html#width">width</a></span></code>
<div class="block">The width.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../model/Map.html#win">win</a></span></code>
<div class="block">The win.</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../model/Map.html#Map--">Map</a></span>()</code>
<div class="block">Instantiates a new map.</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../model/Map.html#fillOnTheMap--">fillOnTheMap</a></span>()</code>
<div class="block">Fill on the map.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../model/Map.html#getExitX--">getExitX</a></span>()</code>
<div class="block">Gets the exit X.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../model/Map.html#getExitY--">getExitY</a></span>()</code>
<div class="block">Gets the exit Y.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../model/Map.html#getHeight--">getHeight</a></span>()</code>
<div class="block">Gets the height.</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../model/Map.html#getLose--">getLose</a></span>()</code>
<div class="block">Gets the lose.</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code><a href="../model/Element/Element.html" title="class in model.Element">Element</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../model/Map.html#getOnTheMapXY-int-int-">getOnTheMapXY</a></span>(int&nbsp;x,
             int&nbsp;y)</code>
<div class="block">Gets the on the map XY.</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../model/Map.html#getScore--">getScore</a></span>()</code>
<div class="block">Gets the score.</div>
</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../model/Map.html#getScoreNeeded--">getScoreNeeded</a></span>()</code>
<div class="block">Gets the score needed.</div>
</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../model/Map.html#getWidth--">getWidth</a></span>()</code>
<div class="block">Gets the width.</div>
</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../model/Map.html#getWin--">getWin</a></span>()</code>
<div class="block">Gets the win.</div>
</td>
</tr>
<tr id="i10" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../model/Map.html#setExitX-int-">setExitX</a></span>(int&nbsp;exitX)</code>
<div class="block">Sets the exit X.</div>
</td>
</tr>
<tr id="i11" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../model/Map.html#setExitY-int-">setExitY</a></span>(int&nbsp;exitY)</code>
<div class="block">Sets the exit Y.</div>
</td>
</tr>
<tr id="i12" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../model/Map.html#setHeight-int-">setHeight</a></span>(int&nbsp;height)</code>
<div class="block">Sets the height.</div>
</td>
</tr>
<tr id="i13" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../model/Map.html#setLose-boolean-">setLose</a></span>(boolean&nbsp;lose)</code>
<div class="block">Sets the lose.</div>
</td>
</tr>
<tr id="i14" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../model/Map.html#setOnTheMapXY-model.Element.Element-int-int-">setOnTheMapXY</a></span>(<a href="../model/Element/Element.html" title="class in model.Element">Element</a>&nbsp;element,
             int&nbsp;x,
             int&nbsp;y)</code>
<div class="block">Sets the on the map XY.</div>
</td>
</tr>
<tr id="i15" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../model/Map.html#setScore-int-">setScore</a></span>(int&nbsp;score)</code>
<div class="block">Sets the score.</div>
</td>
</tr>
<tr id="i16" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../model/Map.html#setScoreNeeded-int-">setScoreNeeded</a></span>(int&nbsp;scoreNeeded)</code>
<div class="block">Sets the score needed.</div>
</td>
</tr>
<tr id="i17" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../model/Map.html#setWidth-int-">setWidth</a></span>(int&nbsp;width)</code>
<div class="block">Sets the width.</div>
</td>
</tr>
<tr id="i18" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../model/Map.html#setWin-boolean-">setWin</a></span>(boolean&nbsp;win)</code>
<div class="block">Sets the win.</div>
</td>
</tr>
<tr id="i19" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../model/Map.html#spawnExit--">spawnExit</a></span>()</code>
<div class="block">Spawn exit.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></h3>
<code><a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#clone--" title="class or interface in java.lang">clone</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#equals-java.lang.Object-" title="class or interface in java.lang">equals</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#finalize--" title="class or interface in java.lang">finalize</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#getClass--" title="class or interface in java.lang">getClass</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#hashCode--" title="class or interface in java.lang">hashCode</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notify--" title="class or interface in java.lang">notify</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notifyAll--" title="class or interface in java.lang">notifyAll</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#toString--" title="class or interface in java.lang">toString</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait--" title="class or interface in java.lang">wait</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-" title="class or interface in java.lang">wait</a>, <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-int-" title="class or interface in java.lang">wait</a></code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a name="width">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>width</h4>
<pre>private&nbsp;int width</pre>
<div class="block">The width.</div>
</li>
</ul>
<a name="height">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>height</h4>
<pre>private&nbsp;int height</pre>
<div class="block">The height.</div>
</li>
</ul>
<a name="onTheMap">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>onTheMap</h4>
<pre>private&nbsp;<a href="../model/Element/Element.html" title="class in model.Element">Element</a>[][] onTheMap</pre>
<div class="block">The on the map.</div>
</li>
</ul>
<a name="score">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>score</h4>
<pre>private&nbsp;int score</pre>
<div class="block">The score.</div>
</li>
</ul>
<a name="scoreNeeded">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>scoreNeeded</h4>
<pre>private&nbsp;int scoreNeeded</pre>
<div class="block">The score needed.</div>
</li>
</ul>
<a name="exitX">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>exitX</h4>
<pre>private&nbsp;int exitX</pre>
<div class="block">The exit X.</div>
</li>
</ul>
<a name="exitY">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>exitY</h4>
<pre>private&nbsp;int exitY</pre>
<div class="block">The exit Y.</div>
</li>
</ul>
<a name="win">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>win</h4>
<pre>private&nbsp;boolean win</pre>
<div class="block">The win.</div>
</li>
</ul>
<a name="lose">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>lose</h4>
<pre>private&nbsp;boolean lose</pre>
<div class="block">The lose.</div>
</li>
</ul>
<a name="tableID">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>tableID</h4>
<pre>public&nbsp;int tableID</pre>
<div class="block">The table ID.</div>
</li>
</ul>
</li>
</ul>
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="Map--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>Map</h4>
<pre>public&nbsp;Map()
    throws <a href="http://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></pre>
<div class="block">Instantiates a new map.</div>
<dl>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="http://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></code> - the SQL exception</dd>
</dl>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="fillOnTheMap--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>fillOnTheMap</h4>
<pre>public&nbsp;void&nbsp;fillOnTheMap()
                  throws <a href="http://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></pre>
<div class="block">Fill on the map.</div>
<dl>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="http://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></code> - the SQL exception</dd>
</dl>
</li>
</ul>
<a name="spawnExit--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>spawnExit</h4>
<pre>public&nbsp;void&nbsp;spawnExit()</pre>
<div class="block">Spawn exit.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../model/IMap.html#spawnExit--">spawnExit</a></code>&nbsp;in interface&nbsp;<code><a href="../model/IMap.html" title="interface in model">IMap</a></code></dd>
</dl>
</li>
</ul>
<a name="getOnTheMapXY-int-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getOnTheMapXY</h4>
<pre>public&nbsp;<a href="../model/Element/Element.html" title="class in model.Element">Element</a>&nbsp;getOnTheMapXY(int&nbsp;x,
                             int&nbsp;y)</pre>
<div class="block">Gets the on the map XY.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>x</code> - the x</dd>
<dd><code>y</code> - the y</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the on the map XY</dd>
</dl>
</li>
</ul>
<a name="setOnTheMapXY-model.Element.Element-int-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setOnTheMapXY</h4>
<pre>public&nbsp;void&nbsp;setOnTheMapXY(<a href="../model/Element/Element.html" title="class in model.Element">Element</a>&nbsp;element,
                          int&nbsp;x,
                          int&nbsp;y)</pre>
<div class="block">Sets the on the map XY.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>element</code> - the element</dd>
<dd><code>x</code> - the x</dd>
<dd><code>y</code> - the y</dd>
</dl>
</li>
</ul>
<a name="getWidth--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getWidth</h4>
<pre>public&nbsp;int&nbsp;getWidth()</pre>
<div class="block">Gets the width.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../model/IMap.html#getWidth--">getWidth</a></code>&nbsp;in interface&nbsp;<code><a href="../model/IMap.html" title="interface in model">IMap</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the width</dd>
</dl>
</li>
</ul>
<a name="setWidth-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setWidth</h4>
<pre>public&nbsp;void&nbsp;setWidth(int&nbsp;width)</pre>
<div class="block">Sets the width.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>width</code> - the new width</dd>
</dl>
</li>
</ul>
<a name="getHeight--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getHeight</h4>
<pre>public&nbsp;int&nbsp;getHeight()</pre>
<div class="block">Gets the height.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../model/IMap.html#getHeight--">getHeight</a></code>&nbsp;in interface&nbsp;<code><a href="../model/IMap.html" title="interface in model">IMap</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the height</dd>
</dl>
</li>
</ul>
<a name="setHeight-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setHeight</h4>
<pre>public&nbsp;void&nbsp;setHeight(int&nbsp;height)</pre>
<div class="block">Sets the height.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>height</code> - the new height</dd>
</dl>
</li>
</ul>
<a name="getWin--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getWin</h4>
<pre>public&nbsp;boolean&nbsp;getWin()</pre>
<div class="block">Gets the win.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the win</dd>
</dl>
</li>
</ul>
<a name="setWin-boolean-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setWin</h4>
<pre>public&nbsp;void&nbsp;setWin(boolean&nbsp;win)</pre>
<div class="block">Sets the win.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>win</code> - the new win</dd>
</dl>
</li>
</ul>
<a name="getLose--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getLose</h4>
<pre>public&nbsp;boolean&nbsp;getLose()</pre>
<div class="block">Gets the lose.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the lose</dd>
</dl>
</li>
</ul>
<a name="setLose-boolean-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setLose</h4>
<pre>public&nbsp;void&nbsp;setLose(boolean&nbsp;lose)</pre>
<div class="block">Sets the lose.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>lose</code> - the new lose</dd>
</dl>
</li>
</ul>
<a name="getScore--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getScore</h4>
<pre>public&nbsp;int&nbsp;getScore()</pre>
<div class="block">Gets the score.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the score</dd>
</dl>
</li>
</ul>
<a name="setScore-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setScore</h4>
<pre>public&nbsp;void&nbsp;setScore(int&nbsp;score)</pre>
<div class="block">Sets the score.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>score</code> - the new score</dd>
</dl>
</li>
</ul>
<a name="getScoreNeeded--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getScoreNeeded</h4>
<pre>public&nbsp;int&nbsp;getScoreNeeded()</pre>
<div class="block">Gets the score needed.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the score needed</dd>
</dl>
</li>
</ul>
<a name="setScoreNeeded-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setScoreNeeded</h4>
<pre>public&nbsp;void&nbsp;setScoreNeeded(int&nbsp;scoreNeeded)</pre>
<div class="block">Sets the score needed.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>scoreNeeded</code> - the new score needed</dd>
</dl>
</li>
</ul>
<a name="getExitX--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getExitX</h4>
<pre>public&nbsp;int&nbsp;getExitX()</pre>
<div class="block">Gets the exit X.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the exit X</dd>
</dl>
</li>
</ul>
<a name="setExitX-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setExitX</h4>
<pre>public&nbsp;void&nbsp;setExitX(int&nbsp;exitX)</pre>
<div class="block">Sets the exit X.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>exitX</code> - the new exit X</dd>
</dl>
</li>
</ul>
<a name="getExitY--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getExitY</h4>
<pre>public&nbsp;int&nbsp;getExitY()</pre>
<div class="block">Gets the exit Y.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the exit Y</dd>
</dl>
</li>
</ul>
<a name="setExitY-int-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>setExitY</h4>
<pre>public&nbsp;void&nbsp;setExitY(int&nbsp;exitY)</pre>
<div class="block">Sets the exit Y.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>exitY</code> - the new exit Y</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/Map.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li><a href="../index-all.html">Index</a></li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../model/IMap.html" title="interface in model"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../model/Model.html" title="class in model"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?model/Map.html" target="_top">Frames</a></li>
<li><a href="Map.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &#169; 2019. All rights reserved.</small></p>
</body>
</html>
